Token Types
Prev | Chapter 10. Mode Definition Syntax | Next

## Token Types

Parser rules can highlight tokens using any of the following token types:

- `NULL` - no special highlighting is performed on tokens of type `NULL`

- `COMMENT1`

- `COMMENT2`

- `COMMENT3`

- `COMMENT4`

- `FUNCTION`

- `DIGIT`

- `INVALID`

- `KEYWORD1`

- `KEYWORD2`

- `KEYWORD3`

- `KEYWORD4`

- `LABEL`

- `LITERAL1`

- `LITERAL2`

- `LITERAL3`

- `LITERAL4`

- `MARKUP`

- `OPERATOR`

Prev | Up | Next
The KEYWORDS Tag | Home | The MATCH_TYPE Attribute